
import 'package:flutter/material.dart';
import 'package:responsive_builder/responsive_builder.dart';

import '../store/actions.dart';
import '../store/store.dart';
import '../widgets/desktop/desktop_coupons.dart';
import '../widgets/mobile/mobile_coupons.dart';

class Coupons extends StatelessWidget {
  final int contactId;

  const Coupons(this.contactId, {Key? key}) :
      super(key: key);


  @override
  Widget build(BuildContext context) {
    store.dispatch(UpdateContext(context));

    return ResponsiveBuilder(
      builder: (context, sizingInformation) =>
          ScreenTypeLayout(
            mobile: MobileCoupons(contactId,),
            tablet: DesktopCoupons(contactId,),
            desktop: DesktopCoupons(contactId,),
          ),
    );
  }

}